# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: "http://devicetree.org/schemas/sound/qcom,q6apm-dai.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Qualcomm Audio Process Manager Digital Audio Interfaces binding

maintainers:
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

description: |
  This binding describes the Qualcomm APM DAIs in DSP

properties:
  compatible:
    const: qcom,q6apm-dais

  reg:
    maxItems: 1

  iommus:
    maxItems: 1

required:
  - compatible
  - iommus
  - reg

additionalProperties: false

examples:
  - |
    #include <dt-bindings/soc/qcom,gpr.h>
    gpr {
        compatible = "qcom,gpr";
        #address-cells = <1>;
        #size-cells = <0>;
        qcom,domain = <GPR_DOMAIN_ID_ADSP>;
        service@1 {
          compatible = "qcom,q6apm";
          reg = <1>;

          #address-cells = <1>;
          #size-cells = <0>;

          apm-dai@1 {
            compatible = "qcom,q6apm-dais";
            iommus = <&apps_smmu 0x1801 0x0>;
            reg = <1>;
          };
        };
    };
